function [sys,x0,str,ts] = cap_est_mic2_snn(t,x,u,flag)
%capacity estimation for Microgrid 1
switch flag,

  %%%%%%%%%%%%%%%%%%
  % Initialization %
  %%%%%%%%%%%%%%%%%%
  case 0,
    [sys,x0,str,ts]=mdlInitializeSizes();

  %%%%%%%%%%%
  % Outputs %
  %%%%%%%%%%%
  case 3,
    sys=mdlOutputs(t,x,u);

  %%%%%%%%%%%%%%%%%%%
  % Unhandled flags %
  %%%%%%%%%%%%%%%%%%%
  case { 1, 2, 4, 9 },
    sys = [];

  %%%%%%%%%%%%%%%%%%%%
  % Unexpected flags %
  %%%%%%%%%%%%%%%%%%%%
  otherwise
    DAStudio.error('Simulink:blocks:unhandledFlag', num2str(flag));

end
% end csfunc

%
%=============================================================================
% mdlInitializeSizes
% Return the sizes, initial conditions, and sample times for the S-function.
%=============================================================================
%
function [sys,x0,str,ts]=mdlInitializeSizes()

sizes = simsizes;
sizes.NumContStates  = 0;
sizes.NumDiscStates  = 0;
sizes.NumOutputs     = 6;
sizes.NumInputs      = 5;
sizes.DirFeedthrough = 1;
sizes.NumSampleTimes = 1;

sys = simsizes(sizes);
x0  = [];
str = [];
ts  = [-1 0];

% end mdlInitializeSizes
%
%=============================================================================
% mdlOutputs
% Return the block outputs.
%=============================================================================
%
function sys=mdlOutputs(t,x,u)
global switch_mg1
switch_mg1 = u(2:5);

if u(1) == 1
    [Q_l_mic, Q_u_mic] = cap_Q_range_dec2;
    [V_mic, P_u_mic, P_l_mic] = cap_P_range_dec2([Q_l_mic, Q_u_mic]);

    V_l_mic2 = V_mic(1);
    V_u_mic2 = V_mic(2);
    P_u_mic2 = P_u_mic;
    P_l_mic2 = P_l_mic;
    Q_u_mic2 = Q_u_mic;
    Q_l_mic2 = Q_l_mic;

    sys = [V_l_mic2 V_u_mic2 P_u_mic2 P_l_mic2 Q_u_mic2 Q_l_mic2];
else
    load cap_temp2
end

save('cap_temp2.mat', 'sys')