function [c,ceq] = con_fun_mic_dec3a(V)
%constraint function with minimum Q in Microgrid 2
global V_pcc
global Q_range_l
global switch_mg2

[Y_bus_mic, G_bus_mic, B_bus_mic, P_u_mic, P_l_mic, Q_u_mic, Q_l_mic, V_u_mic, V_l_mic, P_load_mic, Q_load_mic] = model_ini_mg2(switch_mg2);

E_mic = [V_pcc, V(1:3)];
del_mic = [0, V(4:6)];

V_vector_mic = [E_mic(1)*exp(1j*del_mic(1)); E_mic(2)*exp(1j*del_mic(2)); E_mic(3)*exp(1j*del_mic(3)); E_mic(4)*exp(1j*del_mic(4))];

c =  [V(1) - V_u_mic, V_l_mic - V(1), V(2) - V_u_mic, V_l_mic - V(2), V(3) - V_u_mic, V_l_mic - V(3), ...
     real(V_vector_mic(2)*conj(Y_bus_mic(2,:)*V_vector_mic))+P_load_mic(2)*E_mic(2)^2-P_u_mic(2), P_l_mic(2)-real(V_vector_mic(2)*conj(Y_bus_mic(2,:)*V_vector_mic))-P_load_mic(2)*E_mic(2)^2, ...
     real(V_vector_mic(3)*conj(Y_bus_mic(3,:)*V_vector_mic))+P_load_mic(3)*E_mic(3)^2-P_u_mic(3), P_l_mic(3)-real(V_vector_mic(3)*conj(Y_bus_mic(3,:)*V_vector_mic))-P_load_mic(3)*E_mic(3)^2, ...
     real(V_vector_mic(4)*conj(Y_bus_mic(4,:)*V_vector_mic))+P_load_mic(4)*E_mic(4)^2-P_u_mic(4), P_l_mic(4)-real(V_vector_mic(4)*conj(Y_bus_mic(4,:)*V_vector_mic))-P_load_mic(4)*E_mic(4)^2, ...
     imag(V_vector_mic(2)*conj(Y_bus_mic(2,:)*V_vector_mic))+Q_load_mic(2)*E_mic(2)^2-Q_u_mic(2), Q_l_mic(2)-imag(V_vector_mic(2)*conj(Y_bus_mic(2,:)*V_vector_mic))-Q_load_mic(2)*E_mic(2)^2, ...
     imag(V_vector_mic(3)*conj(Y_bus_mic(3,:)*V_vector_mic))+Q_load_mic(3)*E_mic(3)^2-Q_u_mic(3), Q_l_mic(3)-imag(V_vector_mic(3)*conj(Y_bus_mic(3,:)*V_vector_mic))-Q_load_mic(3)*E_mic(3)^2, ...
     imag(V_vector_mic(4)*conj(Y_bus_mic(4,:)*V_vector_mic))+Q_load_mic(4)*E_mic(4)^2-Q_u_mic(4), Q_l_mic(4)-imag(V_vector_mic(4)*conj(Y_bus_mic(4,:)*V_vector_mic))-Q_load_mic(4)*E_mic(4)^2];

ceq = [imag(V_vector_mic(1)*conj(Y_bus_mic(1,:)*V_vector_mic)) + Q_range_l/3];