function [Y_bus_mcm, G_bus_mcm, B_bus_mcm] = model_ini_mcm_mg1(switch_ln)
s_ln1 = switch_ln(1);
s_ln2 = switch_ln(2);

%Model Initialization Function
%clear all
S_base = 100e3;          %apparent power base value
V_base = 480;         %voltage base value at Bus - 480 V
%impedance base value of three regions%
Z_base = 3*(V_base/sqrt(3))^2/S_base;
%distribution line parameter
R_dist_ln = 0.786;
X_dist_ln = 0.156;
%find pu value of each model parameter
Z_s1s2 = (R_dist_ln + 1j*X_dist_ln)*1/Z_base;
Z_s2s3 = (R_dist_ln + 1j*X_dist_ln)*0.5/Z_base;
% Z_s3s4 = (R_dist_ln + 1j*X_dist_ln)*0.5/Z_base;
% Z_s4s5 = (R_dist_ln + 1j*X_dist_ln)*0.5/Z_base;

Y_bus_mcm = [-1/Z_s1s2*s_ln1,            1/Z_s1s2*s_ln1+1/Z_s2s3*s_ln2,        -1/Z_s2s3*s_ln2,      0];

G_bus_mcm = real(Y_bus_mcm);        %conductance matrix G_bus
B_bus_mcm = imag(Y_bus_mcm);        %susceptance matrix B_bus

% V_u_mcm = 1.05; V_l_mcm = 0.95;
% V_u_mic2 = 1.025; V_l_mic2 = 0.975;
% P_u_mic2 = 0.2536; P_l_mic2 = -0.3609;
% Q_u_mic2 = 0.3262; Q_l_mic2 = -0.8956;
% V_u_mic3 = 1.025; V_l_mic3 = 0.975;
% P_u_mic3 = 0.2536; P_l_mic3 = -0.3609;
% Q_u_mic3 = 0.3262; Q_l_mic3 = -0.8956;
% 
% P_u_mcm = [0 0.2 0.2 0.2 0.2]/3; P_l_mcm = [0 0 0 0 0]/3;
% Q_u_mcm = [0 0.1 0.1 0.1 0.1]/3; Q_l_mcm = [0 -0.2 -0.2 -0.2 -0.2]/3;
% P_load_mcm = [0 0.2 0.2 0 0]/3; Q_load_mcm = [0 0.1 0.1 0 0]/3;
% V_ref = 1.05;
