function [V_req_mic_dec2, P_opt_mic_dec2, Q_opt_mic_dec2, V_mag_dec2, V_pha_dec2] = opt_solver_dec2_Q_max(V_set)
%find maximum Q export for Microgrid 1
global V_pcc switch_mg1

[Y_bus_mic, G_bus_mic, B_bus_mic, P_u_mic, P_l_mic, Q_u_mic, Q_l_mic, V_u_mic, V_l_mic, P_load_mic, Q_load_mic] = model_ini_mg1(switch_mg1);

V_pcc = V_set;

V0_Q_dec2 = [1,1,1,0,0,0];            % Make a starting guess at the solution

options = optimset('Algorithm','active-set', 'TolFun', 1e-16, 'MaxFunEvals', 2000);
[V,fval] = fmincon(@obj_fun_dec2_Q_max,V0_Q_dec2,[],[],[],[],[],[],@con_fun_Q_dec2,options);

V_mag = [V_pcc, V(1:3)];
V_pha = [0, V(4:6)];
V_vector = [V_mag(1)*exp(1j*V_pha(1)); V_mag(2)*exp(1j*V_pha(2)); V_mag(3)*exp(1j*V_pha(3)); V_mag(4)*exp(1j*V_pha(4))];
S_opt = 3*diag(V_vector)*conj(Y_bus_mic*V_vector);
P_opt_mic_dec2 = real(S_opt)+3*diag(V_mag.^2)*P_load_mic'; Q_opt_mic_dec2 = imag(S_opt)+3*diag(V_mag.^2)*Q_load_mic';
V_req_mic_dec2 = V_mag(2:4)+0.05*Q_opt_mic_dec2(2:4)';
V_mag_dec2 = V(1:3);
V_pha_dec2 = V(4:6);