function [V_req_mic_dec3, P_opt_mic_dec3, Q_opt_mic_dec3, V_mag_dec3, V_pha_dec3] = opt_solver_mic_dec3_max_b(V_set)
%find maximum P with maximum Q export for Microgrid 2
global V_pcc
global Q_range_l Q_range_u switch_mg2

[Y_bus_mic, G_bus_mic, B_bus_mic, P_u_mic, P_l_mic, Q_u_mic, Q_l_mic, V_u_mic, V_l_mic, P_load_mic, Q_load_mic] = model_ini_mg2(switch_mg2);

V_pcc = V_set;

V0_mic_dec3 = [1,1,1,0,0,0];            % Make a starting guess at the solution

options = optimset('Algorithm','active-set', 'TolFun', 1e-16, 'MaxFunEvals', 2000);
[V,fval] = fmincon(@obj_fun_mic_dec3_max,V0_mic_dec3,[],[],[],[],[],[],@con_fun_mic_dec3b,options);

V_mag = [V_pcc, V(1:3)];
V_pha = [0, V(4:6)];
V_vector = [V_mag(1)*exp(1j*V_pha(1)); V_mag(2)*exp(1j*V_pha(2)); V_mag(3)*exp(1j*V_pha(3)); V_mag(4)*exp(1j*V_pha(4))];
S_opt = 3*diag(V_vector)*conj(Y_bus_mic*V_vector);
P_opt_mic_dec3 = real(S_opt)+3*diag(V_mag.^2)*P_load_mic'; Q_opt_mic_dec3 = imag(S_opt)+3*diag(V_mag.^2)*Q_load_mic';
V_req_mic_dec3 = V_mag(2:4)+0.05*Q_opt_mic_dec3(2:4)';
V_mag_dec3 = V(1:3);
V_pha_dec3 = V(4:6);